Subject: Re: bug#17890: 24.4.50; flyspell highlights ``doesn't'' incorrect

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Jul 2014 18:43:23 +0300

> From: Leo Liu <[email-masked]>
> Date: Tue, 01 Jul 2014 21:32:21 +0800
> Cc: [email-masked]
> 
> On 2014-07-01 15:03 +0200, Agustin Martin wrote:
> > There is a known problem with the typographically correct apostrophe
> > (“right single quotation mark” U+2019) (bug#17437). Does the problem
> > happen with the single quote or with that U+2019 apostrophe?
> 
> They both give me the highlight. I am using emacs -Q and there is no
> settings for dictionary unless it is based on locale. Mine is
> en_GB.UTF-8.
> 
> CentOS with /usr/bin/hunspell
>         - 24.3.1 compiled on 2013-12-09 doesn't have this bug
>         - 24.3.92 compiled on 2014-06-30 and 24.4.50 (2014-06-29) both have this
>           bug.

I don't see this problem with Hunspell and today's trunk and emacs-24
branch.

If you invoke Hunspell outside of Emacs, does it accept "doesn't" as
correct spelling?  Here's what I get when I type "doesn't" into
Hunspell and hit RET:

  hunspell -a
  @(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.2)
  doesn't
  *

The asterisk response means the word is correct.